View Issue Details

IDProjectCategoryView StatusLast Update
0006016ScribusInternalpublic2015-02-20 14:26
Reporternadavkav Assigned Tocbradney  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionwon't fix 
PlatformlinuxOSdebianOS Versionsid unstable
Product Version 
Target VersionFixed in Version 
Summary0006016: hebrew language is missing from text are properties dialog
Descriptionthe language combo box in the properties window (in the text tab) is missing the hebrew language (for text area object)
TagsNo tags attached.
Patch

Relationships

child of 0003965 acknowledged Metabug: Support for non-latin languages 

Activities

cbradney

2007-07-21 21:19

administrator   ~0016845

Hebrew cannot be supported until we have a hyphenation file for Hebrew and a text system to support it fully. The only languages that appear in the list are ones that we can hyphenate. Closing.

nadavkav

2007-07-21 22:24

reporter   ~0016848

i can ask some friends from the hebrew spell checker team (http://www.ivrix.org.il/) to see if they can help.

what exactly are you missing with the rtl engine ? (can you make a list)

cbradney

2007-07-21 22:45

administrator   ~0016849

1) ok :)
2) time

nadavkav

2008-01-30 13:32

reporter   ~0018781

any progress with the hebrew ?

just to let you know that the Pango lib (http://www.pango.org/Introduction) is rendering rtl and ltr languages perfectly (as far as i can tell) so maybe it is possible to see what they have done, regarding hebrew or just using their engine ?

cbradney

2015-02-20 14:26

administrator   ~0034545

No files submitted, resolving.

Issue History

Date Modified Username Field Change
2007-07-21 13:44 nadavkav New Issue
2007-07-21 14:01 mhanski Relationship added child of 0003965
2007-07-21 21:19 cbradney Status new => closed
2007-07-21 21:19 cbradney Note Added: 0016845
2007-07-21 21:19 cbradney Resolution open => no change required
2007-07-21 22:24 nadavkav Status closed => feedback
2007-07-21 22:24 nadavkav Resolution no change required => reopened
2007-07-21 22:24 nadavkav Note Added: 0016848
2007-07-21 22:45 cbradney Note Added: 0016849
2008-01-30 13:32 nadavkav Note Added: 0018781
2015-02-20 14:26 cbradney Note Added: 0034545
2015-02-20 14:26 cbradney Status feedback => closed
2015-02-20 14:26 cbradney Assigned To => cbradney
2015-02-20 14:26 cbradney Resolution reopened => won't fix